<!--
<?php
$none=$tplpart_2?'':'none';
$none2=$tplpart_2?'none':'';
print <<<EOT
-->
 
<SCRIPT LANGUAGE="JavaScript">
<!--
function post(form){
	//if(get_obj('tplpart_2').value!=''&&get_obj('stype').value=='t'){
	//	get_obj('stype').value='cp';
	//}

	//提醒用戶是否選擇那個預覽模板
	var ifck=0;
	for(var i=0;i<ImgLinks.length;i++){
		jpgpath=ImgLinks[i].split('/label_tpl');
		if(get_obj("tplpath").value==jpgpath[1]){
			if(upfile_PicNumId==i){
				ifck=1;
			}			
		}
	}
	if(get_obj("tplpath").value!=''&&ifck==0){
		var ck=confirm("你沒有選中當前預覽的模板,是否要選擇?\\n\\n按確定,將返回選擇!\\n按取消,則不選擇,而立即提交!");
	}
	if(ck==true){
		useThisTpl(ImgLinks[upfile_PicNumId]);
		return false;
	}

	if(get_obj('stype').value!='r'&&get_obj('stype').value!='rollpic'&&form.tplpart_1.value==''){
		alert("模板不能為空,否則不能正常顯示內容");
		form.tplpart_1.focus();
		return false;
	}
}
//-->
</SCRIPT>
<table width="100%" border="0" cellspacing="1" cellpadding="3" class="tablewidth">
  <form name="form1" method="post" action="index.php?lfj=$lfj&action=$job&inc=$inc&lid=$rsdb[lid]&ch=$ch&chtype=$chtype&tag=$tag&type=$inc&ch_fid=$ch_fid&ch_pagetype=$ch_pagetype&ch_module=$ch_module&ch_ifjs=$ch_ifjs&mystyle=$mystyle&" onsubmit="return post(this);">
    <tr class="head" align="center"> 
      <td colspan="2">會員數據調用</td>
    </tr>
    <tr bgcolor="#FFFFFF" align="center"> 
      <td colspan="2"> &nbsp; 
        <!--
EOT;
if(!$ch_ifjs){
print <<<EOT
-->
        <input type="button" name="Submit22" value="更換選擇顯示其他設置" onClick="window.location=('index.php?lfj=$lfj&inc=&job=list&id=$id&tag=$tag&ch=$ch&chtype=$chtype&ch_fid=$ch_fid&ch_pagetype=$ch_pagetype&ch_module=$ch_module&ch_ifjs=$ch_ifjs&mystyle=$mystyle&')">
        <script src=template/default/label/js.js></script>
        <input type="button" name="Submit222" value="查看效果" onClick="window.open('$viewurl')">
        <input type="button" name="Submit2222" value="返回頻道/專題" onClick="window.location=('$viewurl&jobs=show')">
        <!--
EOT;
}
print <<<EOT
-->
        <table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr> 
            <td class="mtop"><a href="#" onclick="choosetb(1)" class="cht" id="tbm1">基本設置</a> 
              <a href="#" onclick="choosetb(2)" id="tbm2">風格樣式</a> <a href="#" onclick="choosetb(3)" id="tbm3">其它設置</a></td>
          </tr>
        </table>
        <table width="100%" border="0" cellspacing="1" cellpadding="3" style="background:#F5F5F5;" id="tb1">
          <tr bgcolor="#FFFFFF"> 
      <td width="24%">顯示類型:</td>
      <td width="76%"> 
        <input type="radio" name="yz" value="all" $yzdb[all] />
        全部會員 
        <input type="radio" name="yz" value="1" $yzdb[1] />
        已審核的會員 
        <input type="radio" name="yz" value=0 $yzdb[0] />
        未審核會員</td>
    </tr>
    <tr bgcolor="#FFFFFF"> 
      <td width="24%">主用戶組:</td>
      <td width="76%">{$select_group} 不選擇,則不做限制</td>
    </tr>
    <tr bgcolor="#FFFFFF"> 
      <td width="24%">輔助用戶組:</td>
      <td width="76%">{$select_group2} 不選擇,則不做限制</td>
    </tr>
    <tr bgcolor="#FFFFFF"> 
      <td width="24%">排行選擇:</td>
      <td width="76%"> 
        <select name="order">
          <option value="regdate" $orderdb[regdate]>注冊日期</option>
          <option value="lastvist" $orderdb[lastvist]>最後登錄日期</option>
          <option value="oltime" $orderdb[oltime]>在線時間</option>
          <option value="hits" $orderdb[hits]>blog瀏覽量</option>
		  <option value="lastview" $orderdb[lastview]>最近被訪問</option>
        </select>
        <input type="radio" name="asc" value="DESC" $ascdb[DESC]>
        降序(常用) 
        <input type="radio" name="asc" value="ASC" $ascdb[ASC]>
        升序</td>
    </tr>
        </table>
        <table width="100%" border="0" cellspacing="1" cellpadding="3" style="background:#F5F5F5;display:none;" id="tb2">
          <tr bgcolor="#FFFFFF" id="preview"> 
            <td width="24%">請選擇一種顯示樣式:</td>
            <td width="76%"> 
              <input type="hidden" name="tplpath" value="$tplpath" id="tplpath">
              $getLabelTpl
              <SCRIPT LANGUAGE="JavaScript">
<!--
var upfile_PicNumId=0;
function show_MorePic(todo){
	if(todo==1){
		upfile_PicNumId++;
	}else if(todo==-1){
		upfile_PicNumId--;
	}
	if(upfile_PicNumId<0){
		alert("已經是第一個了!");
		upfile_PicNumId=0;
	}
	if( upfile_PicNumId>(ImgLinks.length-1) ){
		alert("已經是最後一個了!");
		upfile_PicNumId=ImgLinks.length-1;
	}
	
	showTplDiv();
	NUM=upfile_PicNumId+2;
	document.getElementById("selectTyls").options[NUM].selected = true;

}
show_MorePic()

function selectTpl(selObj){
	n=selObj.selectedIndex;
	value=selObj.options[n].value
	if(n==1){
		makenew();
	}
	if(n<2){
		return;
	}
	upfile_PicNumId=n-2;
	showTplDiv();
}

function showTplDiv(){
	document.getElementById("upfile_PicNum").innerHTML="<font color=red>"+(upfile_PicNumId+1)+"</font>/"+ImgLinks.length;
	
	document.getElementById("clickput").innerHTML='<input onclick=useThisTpl("'+ImgLinks[upfile_PicNumId]+'") type="button" name="Submit" value="使用此模板" style="border:1px solid #000;background:red;color:#fff;">';

	ImgLinks[upfile_PicNumId]=ImgLinks[upfile_PicNumId];
	upfile_PicUrl=document.getElementById("upfile_PicUrl");
	jpgpath=ImgLinks[upfile_PicNumId].split('/label_tpl');
	if(get_obj("tplpath").value==jpgpath[1]){
		get_obj("showpicdiv").className='showpicdiv2';
	}else{
		get_obj("showpicdiv").className='showpicdiv';
	}	
	upfile_PicUrl.src=document.getElementById("showPicID").href=ImgLinks[upfile_PicNumId];
	upfile_PicUrl.alt=ImgTitle[upfile_PicNumId];
	
	//讓選中的模板紅色顯示
	for(var i=0;i<ImgLinks.length;i++){
		NUM=i+2;
		jpgpath=ImgLinks[i].split('/label_tpl');
		if(get_obj("tplpath").value==jpgpath[1]){			
			document.getElementById("selectTyls").options[NUM].style.color = 'red';
		}else{
			document.getElementById("selectTyls").options[NUM].style.color = '#000';
		}
	}
	re   = /\.jpg/g;
	link_s = ImgLinks[upfile_PicNumId].replace(re, ".htm");
	get_obj("MSG_say").innerHTML="當前模板文件:<A title='你可以創建更多的模板放在此目錄即可' HREF='"+link_s+"' target=_blank>"+link_s.replace(/(.*)\/template\/default\//g,"/template/default/")+"</A>";
}

//-->
</SCRIPT>
            </td>
          </tr>
          <tr bgcolor="#FFFFFF"> 
            <td width="24%"><span id="rowstitle">顯示幾行:</span></td>
            <td width="76%"> 
              <input name="rowspan" type="text" id="rowspan" value="$rowspan" size="4" />
            </td>
          </tr>
          <tr bgcolor="#FFFFFF" id="TRcolspan"> 
            <td width="24%">顯示幾列:<span help='1'><br>
              注意,當這里輸入大于1的數字,就會自動套用Table那種多行多列的樣式,如果你可以通過標簽模板中的DIV中的樣式float實現的話.這里其實不需要設置多列,也可以實現多列的樣式,這樣的話,代碼就比較簡潔.</span></td>
            <td width="76%"> 
              <input name="colspan" type="text" id="colspan" value="$colspan" size="4" />
            </td>
          </tr>
          <tr bgcolor="#FFFFFF" id="TRpicsize" style="display:none;"> 
            <td width="20%">&nbsp;</td>
            <td width="80%">圖片寬 
              <input type="text" name="width" value="$width" size="4" id=width />
              ,圖片高    
              <input type="text" name="height" value="$height" size="4" id=height />
              ,<span id="defaultRoll">切換時間間隔 
              <input type="text" name="rolltime" value="$rolltime" size="2">
              秒,特效 
              <select name="rolltype">
                <option value="scrollLeft" $_rolltype[scrollLeft]>向左移動</option>
                <option value="scrollRight" $_rolltype[scrollRight]>向右移動</option>
                <option value="scrollUp" $_rolltype[scrollUp]>向上移動</option>
                <option value="scrollDown" $_rolltype[scrollDown]>向下移動</option>
                <option value="zoom" $_rolltype[zoom]>放大</option>
                <option value="shuffle" $_rolltype[shuffle]>飄移</option>
                <option value="curtainX" $_rolltype[curtainX]>左右伸縮</option>
                <option value="curtainY" $_rolltype[curtainY]>上下伸縮</option>
                <option value="fade" $_rolltype[fade]>無效果</option>
              </select>
              </span> 幻燈片種類: $rollpicStyle 
              <script language="JavaScript">
<!--
function rollpictypes(selObj){
  if (selObj.options[selObj.selectedIndex].value==''){
  	get_obj('defaultRoll').style.display='';
  }else{
  	get_obj('defaultRoll').style.display='none';
  }
}
function default_rollpic(t){
	for(i=0;i<get_obj('RollStyleType').options.length;i++){
		if(get_obj('RollStyleType').options[i].value==t){
			get_obj('RollStyleType').options[i].selected = true;
		}
	}
	if(t!=''){
		get_obj('defaultRoll').style.display='none';
	}
}
default_rollpic('$RollStyleType');
//-->
</script></td>
          </tr>
          <tr bgcolor="#FFFFFF"> 
            <td width="24%">用戶名不能超過幾個字節:</td>
            <td width="76%"> 
              <input name="titlenum" type="text" id="titlenum" value="$titlenum" size="4" />
            </td>
          </tr>
          <tr bgcolor="#FFFFFF"> 
            <td width="24%">用戶名超過字數是否用省略號表示:</td>
            <td width="76%"> 
              <input type="radio" name="titleflood" value="1" $titleflooddb[1]/>
              是 
              <input type="radio" name="titleflood" value="0" $titleflooddb[0]/>
              否 </td>
          </tr>
          <tr bgcolor="#FFFFFF" id="contentnum" style="display:none;"> 
            <td width="24%">自我介紹顯示多少字節:</td>
            <td width="76%"> 
              <input type="text" name="content_num" size="5" value="$content_num">
            </td>
          </tr>
          <tr bgcolor="#FFFFFF" id="TRtpl_1"> 
            <td width="24%">模板代碼:
<div style="display:none;">
			<label id="showtpl2" style="display:$none2;">(<a href="javascript:" onclick="if(get_obj('FZtpl2').style.display==''){get_obj('FZtpl2').style.display='none'}else{get_obj('FZtpl2').style.display=''}"><font color="#0000FF">點擊可增加一個輔助模板</font></a>,<A HREF="http://bbs.php168.com/read-bbs-tid-191433-fpage-0-toread--page-1.html" target='_blank' style="color:red;">點擊查看錯綜布局效果</A>)</label>
</div>	
			</td>
            <td width="76%"> 
              <table width="100%" border="0" cellspacing="0" cellpadding="0">
                <tr> 
                  <td width="26%"> 
                    <textarea name="tplpart_1" id="tplpart_1" cols="90" rows="8">$tplpart_1code</textarea>
                    <input type="BUTTON" name="btn" value="可視化編輯" onClick="eWebEditorPopUp('form1', 'tplpart_1', 800, 600)">
                    <script language=JavaScript>
function eWebEditorPopUp(form, field, width, height) {
	window.open("../ewebeditor/v4.60/popup.htm?style=popup&form="+form+"&field="+field, "", "width="+width+",height="+height+",toolbar=no,location=no,status=no,menubar=no,scrollbars=no,resizable=no");
}
</script>
                  </td>
                  <td>[<a href="javascript:" onclick="window.open('index.php?lfj=$lfj&ch_module=$ch_module&job=make&tpl_id=tplpart_1','','width=700,height=600,scrollbars=yes,top=100,left=200')"><font color="#FF0000">點擊創建一個模板</font></a>]</td>
                </tr>
              </table>
            </td>
          </tr>
          <tr bgcolor="#FFFFFF" id="FZtpl2" style="display:none;"> 
            <td width="24%" style="display:none;">頭部輔助模板:<label><br>
              (<font color="#0000FF">為了實現錯綜布局的特效</font>)</label></td>
            <td width="76%" style="display:none;"> 
              <table width="87%" border="0" cellspacing="0" cellpadding="0">
                <tr> 
                  <td width="26%"> 
                    <textarea name="tplpart_2" id="tplpart_2" cols="90" rows="8">$tplpart_2code</textarea>
                    <input type="BUTTON" name="btn2" value="可視化編輯" onClick="eWebEditorPopUp('form1', 'tplpart_2', 800, 600)">
                    <br>
                    標題幾個字符: 
                    <input name="titlenum2" type="text" id="titlenum" value="$titlenum2" size="3" />
                    ,介紹幾個字符: 
                    <input type="text" name="content_num2" size="3" value="$content_num2">
                    <br>
                  </td>
                  <td>[<a href="javascript:" onClick="window.open('index.php?lfj=$lfj&ch_module=$ch_module&job=make&tpl_id=tplpart_2','','width=700,height=600,scrollbars=yes,top=100,left=200')"><font color="#FF0000">點擊創建一個模板</font></a>]</td>
                </tr>
              </table>
            </td>
          </tr>
        </table>
        <table width="100%" border="0" cellspacing="1" cellpadding="3" style="background:#F5F5F5;display:none;" id="tb3">
          <tr bgcolor="#FFFFFF" id="rollleftTr"> 
            <td width="24%">是否滾動:</td>
            <td width="76%"> 
              <input type="radio" name="c_rolltype" value="0" $c_rolltypedb[0]>
              不滾動 
              <input type="radio" name="c_rolltype" value="left" $c_rolltypedb[left]>
              向左 
              <input type="radio" name="c_rolltype" value="right" $c_rolltypedb[right]>
              向右 
              <input type="radio" name="c_rolltype" value="up" $c_rolltypedb[up]>
              向上 
              <input type="radio" name="c_rolltype" value="down" $c_rolltypedb[down]>
              向下 高度 
              <input type="text" name="roll_height" value="$roll_height" size="4" id=height />
            </td>
          </tr>
          <tr bgcolor="#FFFFFF"> 
            <td width="24%">標簽內容顯示與否:<span help="1"><br>
              你可以設置暫時隱藏此標簽的內容.但一般很少隱藏. </span></td>
            <td width="76%"> 
              <input type="radio" name="hide" value="1" $hidedb[1]/>
              隱藏 
              <input type="radio" name="hide" value="0" $hidedb[0]/>
              顯示</td>
          </tr>
          <tr bgcolor="#FFFFFF"> 
            <td width="24%">標簽上方半透明層的詳細設置:<span help="1"><br>
              一般留空,不需要設置</span></td>
            <td width="76%">透明層寬 
              <input name="div_w" type="text" id="div_w" value="$div_w" size="4" />
              透明層高 
              <input name="div_h" type="text" id="div_h" value="$div_h" size="4" />
              透明層的顏色 
              <input name="div_bgcolor" type="text" id="div_bgcolor" value="$div_bgcolor" size="12"  onclick="foreColor_font(this);" />
              <SCRIPT LANGUAGE="JavaScript">
<!--
function foreColor_font(obj){
  var arr = showModalDialog('images/selcolor.htm', '', 'dialogWidth:18.5em; dialogHeight:17.5em; status:0');
  if (arr != null)  obj.value=arr;
  else  obj.focus();
  obj.style.background=arr;
}
//-->
</SCRIPT>
            </td>
          </tr><!--
EOT;
if($rsdb[lid]){print <<<EOT
-->
          <tr bgcolor="#FFFFFF">
            <td width="24%">當前標簽的JS調用代碼:</td>
            <td width="76%">
              <input type="text" name="textfield" size="80" value='<script src="$webdb[www_url]/do/js.php?id=$rsdb[lid]"></script>'>
            </td>
          </tr>
<!--
EOT;
}print <<<EOT
-->
        </table>
        <table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr> 
            <td align="center"> 
              <input type="submit" name="Submit" value="提 交"/>
              <SCRIPT LANGUAGE="JavaScript">
<!--
function choosetb(t){
	for(var i=1;i<4 ;i++ ){
		if(t==i){
			document.getElementById("tb"+i).style.display='';
			document.getElementById("tbm"+i).className='cht';
		}else{
			document.getElementById("tb"+i).style.display='none';
			document.getElementById("tbm"+i).className='';
		}
	}
}
choosetb(2);
//-->
</SCRIPT>
              <input type="hidden" name="stype" value="$style" id="stype">
              <input type="hidden" name="timeformat" value="$timeformat">
            </td>
          </tr>
        </table>
      </td>
    </tr>
  </form>
</table>
<div style="display:none;"> 
  <form name="form2" method="post" action="" target="phpframe">
  </form>
</div>
<script language="JavaScript">

//不同的類型,有些參數需要隱藏
function settable(ty){
	get_obj('stype').value=ty;
	
	get_obj('rollleftTr').style.display='';
	get_obj('TRtpl_1').style.display='';
	get_obj('TRcolspan').style.display='';
	
	 
	get_obj('TRpicsize').style.display='none';
	get_obj('FZtpl2').style.display='none';
	get_obj('rowstitle').innerHTML='顯示幾行:';

	if(ty=='r'||ty=='rollpic'){
		 is_rollpic();
	}else if(ty=='c'||ty=='cp'||ty=='5'){		
		document.getElementById('contentnum').style.display='';
		get_obj('rollleftTr').style.display='none';
	}else{
		document.getElementById('contentnum').style.display='none';
	}
	if(ty=='c'||ty=='p'||ty=='cp'){		
		get_obj('showtpl2').style.display='none';
	}else if(ty!='r'&&ty!='rollpic') {
		get_obj('showtpl2').style.display='';
	}
	if(get_obj("tplpart_2").value!=''){
		get_obj('FZtpl2').style.display='';
		get_obj('rollleftTr').style.display='none';
	}
}

//給子隱藏窗口提交數據
function puthtmlcode(ty,code,code2){		
	get_obj("tplpart_1").value=code;
	
	
	get_obj("tplpart_2").value=code2;
	if(code2!=''){		
		get_obj('FZtpl2').style.display='';
	}
	settable(ty);
	if(ty=='r'){
		get_obj("rowspan").focus();
	}else{
		get_obj("tplpart_1").focus();
	}
}

//幻燈片,很多參數不需要設置
function is_rollpic(){
	get_obj('rollleftTr').style.display='none';
	get_obj('FZtpl2').style.display='none';
	get_obj('TRtpl_1').style.display='none';
	get_obj('TRcolspan').style.display='none';
	
	 
	get_obj('TRpicsize').style.display='';
	get_obj('rowstitle').innerHTML='輪流顯示幾張圖:';
	get_obj('colspan').value='1';
}

//自定義添加新模板
function makenew(){
	window.open('index.php?lfj=$lfj&ch_module=$ch_module&job=make&tpl_id=tplpart_1','','width=700,height=600,scrollbars=yes,top=100,left=200');
}

//獲取指定模板的代碼
function useThisTpl(tpl){
	arr=tpl.split('/label_tpl');
	get_obj("tplpath").value=arr[1];
	get_obj("showpicdiv").className='showpicdiv2';
	window.open("index.php?lfj=$lfj&ch_module=$ch_module&inc=$inc&job=getTplcode&divid=tplpart_1&filepath="+tpl,target='phpframe');
}

//初始化顯示哪些表格
settable('$stype');


//
function loadtpl(){
	for(var i=0;i<ImgLinks.length;i++){
		jpgpath=ImgLinks[i].split('/label_tpl');
		if(get_obj("tplpath").value==jpgpath[1]){
			upfile_PicNumId=i;
		}
	}
	NUM=upfile_PicNumId+2;
	document.getElementById("selectTyls").options[NUM].selected = true;
	showTplDiv();
}
loadtpl();
</script>
<iframe id="phpframe" name="phpframe" marginwidth="0" src="about:blank" frameborder="0" height="0" width="0"></iframe> 
<!--
EOT;
?>
-->
<table width="100%" border="0" cellspacing="1" cellpadding="3" class="tablewidth">
  <tr class="head" align="center"> 
    <td align="left" height="23">常用標簽變量參數說明:</td>
  </tr>
  <tr> 
    <td>{$webdb[www_url]} 指整站訪問網址<br>
      {$title} 指用戶名<br>
      {$url} 指超級鏈接地址 <br>
      {$uid} 會員uid<br>
      {$username} 會員帳號<br>
      {$picurl} 會員頭像地址<br>
      {$i} 序號,如1,2,3,4...<br>
      你可以自定義標題的樣式如色彩與字號大小,請點擊“<a href="javascript:" onClick="window.open('index.php?lfj=label&job=make&tpl_id=tplpart_1','','width=700,height=600,scrollbars=yes,top=100,left=200')"><font color="#FF0000">點擊創建一個模板</font></a>”<br>
      其他模塊的參數與上面是差不多的 <br>
      <br>
      以上用到的$url是通用網址,你可以手工替換成有個性的,比如<br>
      http://php168.com/bencandy-$fid-$aid.shtml</td>
  </tr>
</table>
